package org.springblade.common.config.mq;


import com.ldt.consts.QueueConst;
import org.springframework.amqp.core.Queue;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * @author: lianghanqiang
 * @description:
 * @since: 10/25/21 -- 2:29 PM
 */
//@Configuration
public class RabbitConfig {


	/**
	 * 	api log 接口请求日志输出队列
	 * */
	@Bean
	public Queue apiLogQueue() {
		return new Queue(QueueConst.apiLog, true);
	}


	/**
	 * 	err log 错误日志输出队列
	 * */
	@Bean
	public Queue errLogQueue() {
		return new Queue(QueueConst.errorLog, true);
	}

}

